Number of rows in a result

- « odbc_num_fields

- odbc_pconnect »

- PHP Manual
- ODBC Functions
- Number of rows in a result

# odbc_num_rows

(PHP 4, PHP 5, PHP 7, PHP 8)

odbc_num_rows — Number of rows in a result

### Description

odbc_num_rows(resource `$statement`): int

Gets the number of rows in a result. For INSERT, UPDATE and DELETE statements odbc_num_rows() returns the number of rows affected. For a SELECT clause this `can` be the number of rows available.

### Parameters

`statement`

  The result identifier returned by odbc_exec().

### Return Values

Returns the number of rows in an ODBC result. This function will return -1 on error.

### Notes

> Note:

> Using odbc_num_rows() to determine the number of rows available after a SELECT will return -1 with many drivers.